Name:          serp
Version:       1.15.2
Release:       %mkrel 0.3.20150412cvs.5
Group:         Development/Java
Summary:       Byte-code manipulation framework
License:       BSD
Url:           http://serp.sourceforge.net/
# cvs -d:pserver:anonymous@serp.cvs.sourceforge.net:/cvsroot/serp login
# cvs -z3 -d:pserver:anonymous@serp.cvs.sourceforge.net:/cvsroot/serp  export -r HEAD serp
# tar cJf serp-1.15.2-20150412-cvs.tar.xz serp
Source0:       serp-1.15.2-20150412-cvs.tar.xz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)

BuildArch:     noarch

%description
The goal of the serp byte-code framework is to tap the full 
power of byte-code modification while lowering its associated
costs. The framework provides a set of high-level APIs for 
manipulating all aspects of byte-code, from large-scale 
structures like class member fields to the individual 
instructions that comprise the code of methods. While in 
order to perform any advanced manipulation, some understanding 
of the class file format and especially of the JVM instruction 
set is necessary, the framework makes it as easy as possible
to enter the world of byte-code development.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}
find . -name "*.class" -delete
find . -name "*.jar" -delete

%pom_remove_plugin :jxr-maven-plugin
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :surefire-report-maven-plugin
%pom_xpath_remove "pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-javadoc-plugin']"

%mvn_file :%{name} %{name}
%mvn_alias :%{name} %{name}:%{name}

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.txt
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.15.2-0.3.20150412cvs.5.mga9
+ Revision: 1827336
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.15.2-0.3.20150412cvs.4.mga8
+ Revision: 1500035
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.15.2-0.3.20150412cvs.3.mga7
+ Revision: 1275414
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.15.2-0.3.20150412cvs.1.mga6
+ Revision: 978651
- sync package serp with fedora
- imported package serp

* Mon Jan 12 2015 daviddavid <daviddavid> 1.14.2-0.2.20120406cvs.6.mga5
+ Revision: 810112
- Sync with fc21
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 1.14.2-0.2.20120406cvs.5.mga5
+ Revision: 743887
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Jun 28 2014 spuhler <spuhler> 1.14.2-0.2.20120406cvs.3.mga5
+ Revision: 640525
- added BuildRequires:  maven-local
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.14.2-0.2.20120406cvs.2.mga3
+ Revision: 381943
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 1.14.2-0.2.20120406cvs.1.mga3
+ Revision: 292787
- New version

* Wed Oct 19 2011 dams <dams> 1.13.1-1.mga2
+ Revision: 156513
- update mkrel
+ gil <gil>
- imported package serp

